Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 85728 - mplayer can't compile with ppc-macos keyword.
Summary: mplayer can't compile with ppc-macos keyword.
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo/Alt
Classification: Unclassified
Component: Mac OSX (show other bugs)
Hardware: PPC All
: High normal (vote)
Assignee: Gentoo for Mac OS X
URL:
Whiteboard:
Keywords:
: 73284 (view as bug list)
Depends on:
Blocks:
 
Reported: 2005-03-18 00:58 UTC by Hugo Venturini
Modified: 2007-03-23 06:26 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
patch to have mplayer running. (mplayer-1.0_pre6-ppc-macosx.patch,1.54 KB, patch)
2005-03-19 08:49 UTC, Hugo Venturini
Details | Diff
mplayer-1.0_pre7-darwin.patch (mplayer-1.0_pre7-darwin.patch,15.35 KB, patch)
2005-08-06 22:04 UTC, Hasan Khalil (RETIRED)
Details | Diff
Patch for mplayer-1.0_pre7.ebuild (mplayer-1.0_pre7.ebuild.patch,928 bytes, patch)
2005-08-06 22:33 UTC, Hasan Khalil (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hugo Venturini 2005-03-18 00:58:00 UTC
I just had to make a couple of changes in the ebuild file to make it work.
It is most of the time a matter of unrecognized options.
I submit the patch expecting this will help. I works on my computer:

# cat mplayer-1.0_pre6-ppc-macosx.patch

--- /usr/portage/media-video/mplayer/mplayer-1.0_pre6.ebuild    Wed Feb 23 23:37:33 2005
+++ /var/root/mplayer-1.0_pre6.ebuild   Fri Mar 18 09:23:31 2005
@@ -87,7 +87,7 @@
 LICENSE="GPL-2"
 #KEYWORDS="~x86 ~ppc ~alpha ~amd64 ~ia64 ~hppa ~sparc"
 #agriffis - uncomment this when ia64 is ready - Chris
-KEYWORDS="~x86 ~ppc ~alpha ~amd64 ~hppa ~sparc ~ppc64"
+KEYWORDS="~x86 ~ppc ~alpha ~amd64 ~hppa ~sparc ~ppc64 ppc-macos"
 
 src_unpack() {
 
@@ -469,7 +469,11 @@
        # mplayer binary is not linked to it, ensuring that we
        # do not run into issues ... (bug #14479)
        cd ${S}/libavcodec/libpostproc
-       make SHARED_PP="yes" || die "Failed to build libpostproc.so!"
+       if use ppc-macos ; then
+           make SHARED_PP="no" || die "Failed to build libpostproc.so!"
+       else
+           make SHARED_PP="yes" || die "Failed to build libpostproc.so!"
+       fi
 }
 
 src_install() {
@@ -519,11 +523,20 @@
        # of their zips ...
        for x in $(find ${WORKDIR}/ -type d -name 'font-arial-*')
        do
-               cp -Rd ${x} ${D}/usr/share/mplayer/fonts
+         if use ppc-macos ; then
+             cp -R ${x} ${D}/usr/share/mplayer/fonts
+         else
+             cp -Rd ${x} ${D}/usr/share/mplayer/fonts
+         fi
        done
        # Fix the font symlink ...
        rm -rf ${D}/usr/share/mplayer/font
-       dosym fonts/font-arial-14-iso-8859-1 /usr/share/mplayer/font
+#      #dosym fonts/font-arial-14-iso-8859-1 /usr/share/mplayer/font
+       if use ppc-macos ; then
+           dosym fonts/font-arial-iso-8859-1 /usr/share/mplayer/font
+       else
+           dosym fonts/font-arial-14-iso-8859-1 /usr/share/mplayer/font
+       fi
 
        insinto /etc
        newins ${S}/etc/example.conf mplayer.conf
Comment 1 Hugo Venturini 2005-03-19 08:49:40 UTC
Created attachment 53871 [details, diff]
patch to have mplayer running.

I really wonder if this is useful ... I mean submiting a patch. This patches
the mplayer-1.0_pre6.ebuild file.
Comment 2 Lina Pezzella (RETIRED) gentoo-dev 2005-03-19 09:01:19 UTC
Chriswhite: I seem to recall that mplayer is your baby. You interested in taking this one?
Comment 3 Luca Barbato gentoo-dev 2005-04-18 04:24:44 UTC
about libpostproc, I think that is covered by the patches in ffmpeg (that should be polished and sent upstream asap)

about the rest I guess we could just fix it using the correct wrappers in the ebuild and avoid that conditional hell ^^

I'll have a look in the week.
Comment 4 Hasan Khalil (RETIRED) gentoo-dev 2005-08-06 22:04:24 UTC
Created attachment 65285 [details, diff]
mplayer-1.0_pre7-darwin.patch
Comment 5 Hasan Khalil (RETIRED) gentoo-dev 2005-08-06 22:33:00 UTC
Created attachment 65286 [details, diff]
Patch for mplayer-1.0_pre7.ebuild

Spent some time today working on this. The two patches just now attached are
the results of my endeavors for now. I'll resume work on this later when I get
more free time, but I'm spent for the night.

Where it stands now, at least on my machine, is a working mplayer build (using
shared dylibs) with all USE flags except:

* altivec - I couldn't get this to work on my machine; got API errors.
* cpudetection - didn't work properly for my machine; assumed that the build
system could use 64-bit * altivec stuff, which the compiler then complained
about and died.
* debug - didn't try it, probably won't bother
* dvdread - libdvdcss wouldn't compile on my machine because i broke autotools
doing some funky work in that department. oops. should work just fine, though
(confirmations welcome).
* samba - died looking for includes that aren't provided by apple but probably
should be (libsmbclient).
* sdl - couldn't get the sucker to compile. configure dies with 'C compiler
cannot create executables'; didn't look into it yet, will do so later.
* any USE flag that's use.masked (I added a few to the list); most are masked
because they haven't been ported yet.
* any use flag that pulls in a bad dependency (repoman is your friend).

Since there's a whole slew of USE flags, I haven't tested each and every one
for functionality. Furthermore, I haven't tested mencoder at all yet. In terms
of testing, All I've done is make sure that a few clips (AVI, MPEG, WAV) have
correct playback with mplayer (no options specified). If anyone wants to test
and let me know what breaks, I'll take a look at any breakages that occur.

Also, please feel free to slap me around about any stupidity I did in the
patching. The patches should be cross-platform, but I haven't tested there
anywhere except my powerbook. Be warned.

Please report anything relevant on this bug. Thanks.
Comment 6 Hasan Khalil (RETIRED) gentoo-dev 2005-08-06 22:34:44 UTC
*** Bug 73284 has been marked as a duplicate of this bug. ***
Comment 7 Fabian Groffen gentoo-dev 2007-03-23 06:26:35 UTC
try the prefix version.